Subject: git merges of tags

From: Stephen Rothwell <[email-masked]>
Date: Fri, 19 May 2017 09:23:36 +1000

Hi all,

Just a reminder that if you are merging Linus' tree (or any tree
really) via a tag, git was changed some time ago so that merging a tag
will not do a fast forward (there is a good reason for this - I just
can't recall it ATM).  This is a problem when your current head of
branch has been merged into (e.g.) Linus' tree and then you do "git
merge <tag>" on a tag that is later than the merge point.  You end up
with an unnecessary merge commit rather than just fast forwarding.

To do the fast forward, try "git merge <tag>^{}" ... (unfortunately
doing "git merge --ff <tag>" also does not do a fast forward - it also
doesn't fail, it unexpectedly just creates a merge commit :-().
-- 
Cheers,
Stephen Rothwell